$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.75.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.75.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'D112F287DB10362CE3665D3045A36BBF3C37259CBB797A4DF39E690B261F445F'
  checksumType = 'sha256'
  checksum64 = 'D112F287DB10362CE3665D3045A36BBF3C37259CBB797A4DF39E690B261F445F'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.75-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
